Subject: bug#30888: Allow searching compressed C sources for `find-function'

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 17 Sep 2019 01:17:09 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Felipe Ochoa <[email-masked]> writes:
>
>> This patch makes the handling of compressed sources consistent between C
>> functions and lisp functions (for which `find-function' already supports
>> compression).
>
> I guess that makes sense, and the implementation looks OK to me, but
> what's the use case?  The reason `find-function' does look into .el.gz
> files is that on some (many?) distributions, the .el files in Emacs are
> distributed with Emacs (sometimes in a separate package), but in .gz
> form.
>
> I've never seen gzipped .c files in the wild -- is that something that's
> done?

There was no response (on the use case) in 12 weeks, so I'm closing this
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no